<template>
    <div class="cont">
        <div class="c-left">
            <ReSidebar
                :sideBarList="sideList"
                @click="handleSideClick"
                :active-index="tabIndex - 1"
            />
        </div>
        <div class="c-right">
            <img v-if="tabIndex == 1" src="../../assets/images/diantai/bg1.webp" alt="" />
            <img v-if="tabIndex == 2" src="../../assets/images/diantai/bg2.webp" alt="" />
            <img v-if="tabIndex == 3" src="../../assets/images/diantai/bg3.webp" alt="" />
            <img v-if="tabIndex == 4" src="../../assets/images/diantai/bg4.webp" alt="" />
            <img v-if="tabIndex == 5" src="../../assets/images/diantai/bg5.webp" alt="" />
        </div>
    </div>
</template>

<script>
import ReSidebar from "@/components/leftBar.vue";
export default {
    name: 'BydPage1',
    data() {
        return {
            sideList:[
                {
                    id:1,
                    name:"云听",
                    icon:'ic_dt_yt',
                    a_icon:'ic_dt_yta'
                },
                {
                    id:2,
                    name:"音乐",
                    icon:'ic_dt_yy',
                    a_icon:'ic_dt_yya'
                },
                {
                    id:3,
                    name:"视频",
                    icon:'ic_dt_sp',
                    a_icon:'ic_dt_spa'
                },
                {
                    id:4,
                    name:"K歌",
                    icon:'ic_dt_kg',
                    a_icon:'ic_dt_kga'
                },
                {
                    id:5,
                    name:"音响",
                    icon:'ic_dt_yx',
                    a_icon:'ic_dt_yx'
                },
            ],
            tabIndex: 1,
        };
    },
    components:{
        ReSidebar,
    },
    mounted() {
        if(this.$route.params.index!=''){
            this.tabIndex = this.$route.params.index
        }
    },

    methods: {
        handleSideClick(item) {
        this.tabIndex = item.id;
        },
    },
};
</script>

<style lang="scss" scoped>
.active{
    background-color: white;
    
}
.cont{
    width: 100%;
    height: 100%;
    display: flex;
    .c-left{
        width: 12%;
        height: 100%;
    }
    .c-right{
        width: 88%;
        height: 100%;
        img {
            margin-top: 105px;
            width: 100%;
            // height: 100%;
        }
    }
}
</style>